@font-face {
  font-family: FalloutFont1;
  src: url("./fonts/fallout.ttf");
}

@font-face {
  font-family: fixedsys;
  src: url("./fonts/FSEX300.woff");
}

html {
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
}

.header {
  justify-content: center;
  text-align: center;
  font-family: FalloutFont1;
  font-size: 32px;
  font-weight: 700;
  border-style: inset;
  border-top-left-radius: 1px;
  border-top-right-radius: 15px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 15px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  color: rgba(255, 217, 0, 0.664);
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 15px;
}

body {
  background-image: url(./img/bg/bg.jpg);
}

/* .special-panel, .info-panel, .skills-panel, .traits-panel {
    display: inline-block;
}
.special-panel-build, .info-panel-build, .skills-panel-build, .commands-panel-build {
    display: inline-block;
} */
.special-values-box,
.special-values-box:focus {
  pointer-events: none;
  font-family: FalloutFont1;
  max-width: 32px;
  min-height: 36px;
  text-align: center;
  font-size: 28px;
  background-color: transparent;
  border: none;
}

.special-values-box-implanted,
.special-values-box-implanted:focus {
  pointer-events: none;
  font-family: FalloutFont1;
  color: rgb(255, 217, 0);
  max-width: 32px;
  min-height: 36px;
  text-align: center;
  font-size: 28px;
  background-image: url(./img/implants/special-implant-bg.png);
  background-color: transparent;
  background-position: center;
  background-repeat: no-repeat;
  border: none;
}

.info-name,
.info-value {
  font-family: fixedsys;
  font-weight: 400;
  font-size: 14px;
  margin: 0;
  padding-top: 4px;
}

.info-values-box {
  pointer-events: none;
  font-family: fixedsys;
  max-width: 40px;
  max-height: 12px;
  /* font-weight: 700; */
  text-align: center;
  font-size: 14px;
  background-color: transparent;
  border: none;
}

.min-button,
.plus-button {
  padding: 0;
  /* display: none; */
  background-color: transparent;
  font-size: 28px;
  max-height: 28px;
  min-width: 28px;
  max-width: 28px;
  border: none;
}

.min-button:focus,
.plus-button:focus {
  outline: none;
  box-shadow: none;
}

.special-name {
  font-family: FalloutFont1;
  font-size: 28px;
  /* font-weight: 700; */
  /* color: rgba(255, 217, 0, 0.664); */
  padding-top: 0px;
  pointer-events: none;
}

.skill-names {
  font-family: fixedsys;
  padding: 0px;
  font-size: 14px;
  margin: 0px;
}

.skill-values-box {
  pointer-events: none;
  font-family: fixedsys;
  max-width: 40px;
  min-height: 16px;
  text-align: center;
  font-size: 14px;
  background-color: transparent;
  border: none;
}

.check-btn {
  position: relative;
  top: 2px;
  left: 0;
  margin-right: 2px;
  height: 12px;
  width: 12px;
}

.special-values-box-pool {
  pointer-events: none;
  max-width: 56px;
  min-height: 36px;
  text-align: left;
  font-family: FalloutFont1;
  font-size: 28px;
  background-color: transparent;
  border: none;
}

.trait-pos {
  background-image: linear-gradient(to bottom left,
      rgba(55, 224, 63, 0.4),
      white);
}

.trait-neg {
  background-image: linear-gradient(to bottom left,
      rgba(224, 31, 31, 0.4),
      white);
}

.trait-both {
  background-image: linear-gradient(to bottom left,
      rgba(55, 224, 63, 0.4),
      rgba(224, 31, 31, 0.4));
}

.trait {
  font-family: fixedsys;
  font-size: 14px;
  padding-top: 0px;
}

.traits-panel,
.special-panel,
.skills-panel,
.info-panel {
  font-family: FalloutFont1;
  border-style: inset;
  border-radius: 15px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  margin: 2px;
  padding-bottom: 15px;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

.traits-counter-box,
.skills-counter-box {
  pointer-events: none;
  align-items: center;
  max-width: 12px;
  min-height: 16px;
  text-align: center;
  font-family: fixedsys;
  font-size: 14px;
  border: none;
  background-color: transparent;
}

.traits-counter,
.skills-counter {
  text-align: center;
  font-family: fixedsys;
}

/* Phase 2 starts below */

.special-panel-build {
  border-style: inset;
  border-radius: 15px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  text-align: left;
  margin: 2px;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

.commands-panel-build {
  margin: 2px;
  padding-bottom: 5px;
  text-align: center;
  border-style: inset;
  border-radius: 15px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  align-content: space-around;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

.additional-panel-build {
  margin: 2px;
  width: auto;
  text-align: center;
  border-style: inset;
  border-radius: 15px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  overflow: hidden;
}

.skills-panel-build {
  border-style: inset;
  border-radius: 15px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  text-align: left;
  margin: 2px;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

.info-panel-build {
  border-style: inset;
  border-radius: 15px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  margin: 2px;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

.info-panels-build-1 {
  border-style: inset;
  border-top-left-radius: 0px;
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;
  border-bottom-left-radius: 0px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  margin: 2px;
  align-content: space-around;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

.info-panels-build-2 {
  border-style: inset;
  border-top-left-radius: 15px;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
  border-bottom-left-radius: 15px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  margin: 2px;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

.radio-skill {
  position: relative;
  top: 6px;
  left: 0;
  height: 12px;
  width: 12px;
  background-color: #eee;
  border-radius: 50%;
}

#display-skill {
  border: none;
  background-color: transparent;
  font-size: 16px;
  font-family: fixedsys;
  /* font-weight: 700; */
  width: 130px;
  text-align: center;
}

#display-skill-value {
  border: none;
  background-color: transparent;
  pointer-events: none;
  font-size: 24px;
  font-family: FalloutFont1;
  /* font-weight: 700; */
  width: 70px;
  text-align: center;
}

.display-skill {
  border-style: inset;
  border-top-left-radius: 1px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-width: 1px;
  border-color: rgb(32, 29, 29);
  /* font-family: fixedsys; */
  font-style: normal;
}

.hidden {
  display: none;
}

.hidden-2 {
  display: none;
}

.tagged-skill {
  /* background: rgba(77, 173, 85, 0.5); */
  background-image: linear-gradient(to bottom left,
      rgba(152, 214, 155, 0.4),
      white);
  height: 23px;
  color: black;
  border: none;
}

.selected-skill {
  background-color: rgb(169, 190, 211);
  color: rgb(40, 40, 46);
}

.unspent-sp {
  border-style: inset;
  border-top-left-radius: 1px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-width: 1px;
  border-color: rgb(32, 29, 29);
  padding: 5px;
}

#unspent-sp {
  border: solid 1px rgba(77, 173, 85, 0.911);
  background-color: transparent;
  height: 38px;
  pointer-events: none;
  font-size: 24px;
  font-weight: 700;
  width: 100px;
  text-align: center;
}

.current-level-box {
  pointer-events: none;
  font-weight: 700;
  max-width: 60px;
  min-height: 16px;
  text-align: center;
  font-size: 24px;
  background-color: transparent;
  border: none;
  padding: 0px;
  margin: 0px;
}

.current-level-name {
  font-family: fixedsys;
  font-size: 24px;
  font-weight: 700;
  padding: 0px;
  text-align: center;
  pointer-events: none;
  margin: 0px;
}

.current-level {
  text-align: center;
}

.min-button-skill,
.plus-button-skill {
  padding: 0;
  /* display: none; */
  background-color: transparent;
  font-size: 28px;
  max-height: 28px;
  min-width: 28px;
  max-width: 100px;
  border: none;
}

.min-button-skill:focus,
.plus-button-skill:focus {
  outline: none;
  box-shadow: none;
}

.x-skill,
.x-level {
  text-align: center;
  font-size: 12px;
  padding-top: 5px;
}

.skill-modifier,
.level-modifier {
  font-size: 10px;
}

.dropdown-menu {
  /* height:400px;
    font-size: 12px; */
  padding: 0;
  margin: 0;
}

.dropdown-item {
  height: 30px;
  width: auto;
  font-size: 12px;
  padding-left: 5px;
}

#dropdownMenuMarshal {
  height: auto;
  padding: 5px;
  margin-top: 4px;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 2px;
}

#books-panel,
#prof-panel {
  height: auto;
  margin-top: 5px;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 20px;
}

#prof-panel {
  height: auto;
  margin-top: 5px;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 50px;
}

.info-perks,
.info-support-perks {
  font-family: fixedsys;
  border-style: inset;
  border-top-right-radius: 5px;
  border-width: 2px;
  border-color: rgb(32, 29, 29);
  text-align: left;
  font-size: 14px;
  padding-left: 4px;
  margin: 2px;
  -webkit-backdrop-filter: blur(15px);
  backdrop-filter: blur(15px);
}

.info-panels-build-1 {
  text-align: center;
  font-size: 12px;
  width: auto;
  margin-left: 0px;
  margin-right: 2px;
  padding: 0;
  border-left: none;
}

.info-panels-build-2 {
  text-align: center;
  margin-left: 2px;
  margin-right: 0px;
  padding: 0;
  border-right-width: thin;
}

.h-info-cat-titles {
  font-weight: bolder;
}

.font-12 {
  font-size: 12px;
  text-align: center;
  font-weight: 700;
}

.font-14 {
  font-size: 14px;
  text-align: center;
  font-family: fixedsys;
}

.panel-name {
  font-size: 18px;
  font-weight: 700;
  padding-top: 8px;
  color: rgba(255, 217, 0, 0.664);
  pointer-events: none;
  font-style: normal;
}

.info-support-perks {
  border-style: inset;
  border-top-left-radius: 1px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-width: 1px;
  border-color: rgb(32, 29, 29);
  text-align: left;
}

.info-perks {
  border-style: inset;
  border-top-left-radius: 1px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-width: 1px;
  border-color: rgb(32, 29, 29);
  text-align: left;
}

.image-book {
  height: 100%;
  width: 100%;
  -webkit-filter: drop-shadow(5px 5px 5px #222);
  filter: drop-shadow(5px 5px 5px #222);
  margin-left: 6px;
}

.image-profession {
  height: 100%;
  width: 100%;
  -webkit-filter: drop-shadow(5px 5px 5px #222);
  filter: drop-shadow(5px 5px 5px #222);
  margin-left: 6px;
}

.image-btn {
  width: 47px;
  height: 34px;
  padding-left: 0px;
  padding-right: 0px;
  margin-right: 0px;
  margin-left: 0px;
  background-color: transparent;
  border: none;
}

.image-drug {
  height: 100%;
  width: 100%;
  -webkit-filter: grayscale(90%) drop-shadow(2px 2px 2px #222);
  filter: grayscale(90%) drop-shadow(2px 2px 2px #222);
  margin-left: 6px;
}

.image-drug-selected {
  height: 90%;
  width: 90%;
  -webkit-filter: brightness(1.75) drop-shadow(2px 2px 2px #222);
  filter: brightness(1.75) drop-shadow(2px 2px 2px #222);
  margin-left: 6px;
}

.image-implant {
  align-content: center;
  height: 25px;
  width: 25px;
  padding-left: 0px;
  padding-right: 0px;
  margin-right: 3px;
  margin-left: 3px;
  margin-top: 2px;
  margin-bottom: 0px;
  background-color: transparent;
  border: none;
  -webkit-filter: drop-shadow(2px 2px 2px #222);
  filter: drop-shadow(2px 2px 2px #222);
}

.implants-panel {
  padding-top: 0%;
  margin-top: 0%;
}

.available-perks {
  text-align: left;
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  max-height: 270px;
  overflow-y: hidden;
  overflow-x: hidden;
  margin-top: 0;
  margin-left: 0;
  margin-right: 0;
  width: 100%;
}

.tab-pane:hover {
  overflow-y: hidden;
}

.available-perks:hover {
  overflow-y: scroll;
}

.available-support-perks:hover {
  overflow-y: scroll;
}

.available-support-perks {
  text-align: left;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  max-height: 270px;
  overflow-y: hidden;
  overflow-x: hidden;
  margin-top: 0;
  margin-left: 0;
  margin-right: 0;
  width: 100%;
}

/* .available-support-perks:hover {
    overflow-y: scroll;
} */

/* width */
::-webkit-scrollbar {
  width: 6px;
}

/* Track */
::-webkit-scrollbar-track {
  background: transparent;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgba(32, 224, 32, 0.185);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: rgba(77, 173, 85, 0.281);
}

.nav-tabs>li>a {
  /* adjust padding for height*/
  padding-top: 1px;
  padding-bottom: 1px;
  padding-left: 3px;
  padding-right: 3px;
  margin-bottom: 0px;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  border-width: 1px;
  border-color: rgb(32, 29, 29);
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
}

a.nav-link {
  color: rgb(24, 145, 145);
}

a.nav-link:hover {
  color: rgb(196, 228, 80);
  text-decoration: none;
}

.tab-content {
  text-indent: 5px;
  overflow-y: hidden;

  width: 100%;
}

.tab-pane {
  padding-top: 0px;
  padding-left: 0px;
  padding-right: 0px;

  margin-top: 0px;
  margin-right: 0px;
  border-style: inset;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-width: 1px;
  border-color: rgb(32, 29, 29);
  text-align: left;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  max-height: 270px;
  overflow-y: hidden;

  width: 100%;
}

.choose-perk-btn {
  background-color: transparent;
  border: none;
  font-family: fixedsys;
  font-size: 14px;
  padding-left: 0px;
  padding-right: 5px;
  padding-top: 0px;
  padding-bottom: 0px;
}

.choose-perk-btn:focus {
  outline: none;
  box-shadow: none;
}

.choose-perk-btn:hover {
  background-color: rgba(77, 173, 85, 0.511);
  border-style: inset;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-width: 1px;
  border-color: rgb(32, 29, 29);
  font-size: 14px;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 0px;
  padding-bottom: 0px;
}

.perk-dividers {
  overflow-y: hidden;
}

.image-btn:focus {
  outline: none;
  box-shadow: none;
}

.image-drug:hover,
.image-book:hover,
.image-profession:hover {
  outline: none;
  box-shadow: none;
  height: 115%;
  width: 115%;
  -webkit-filter: contrast(120%) brightness(1.5) drop-shadow(1px 1px 1px #222);
  filter: contrast(120%) brightness(1.5) drop-shadow(1px 1px 1px #222);
}

.image-implant:hover {
  outline: none;
  box-shadow: none;
  -webkit-filter: contrast(100%) brightness(1.3) drop-shadow(1px 1px 1px #222);
  filter: contrast(100%) brightness(1.3) drop-shadow(1px 1px 1px #222);
}

.image-drug:active,
.image-book:active,
.image-profession:active {
  outline: none;
  box-shadow: none;
  height: 80%;
  width: 80%;
  -webkit-filter: drop-shadow(3px 3px 3px #222);
  filter: drop-shadow(3px 3px 3px #222);
}

.tab-perks-tab,
.tab-implants-tab {
  font-family: fixedsys;
  font-size: 16px;
}

div.container {
  justify-content: center;
}

.perks-alerts-green {
  background-color: rgba(77, 173, 85, 0.511);
}

.perks-alerts-yellow {
  background-color: rgba(236, 240, 9, 0.711);
}

.perks-alerts-red {
  background-color: rgba(231, 29, 15, 0.511);
}

.prof-panel {
  background-color: indigo;
}